--- configure.in.orig	Mon Mar  4 16:25:44 2002
+++ configure.in	Tue Mar 19 21:48:51 2002
@@ -170,6 +170,16 @@
 
 
 #
+# Enabling eurodates (-e option) by default (--enable-eurodates-by-default)
+#
+AC_MSG_CHECKING([whether to build with eurodates enabled by default])
+PGAC_ARG_BOOL(enable, eurodates-by-default, no, [  --enable-eurodates-by-default         enable eurodates by default],
+              [AC_DEFINE([EURODATES], 1,
+                         [Set to 1 if you want eurodates by default (--enable-eurodates-by-default)])])
+AC_MSG_RESULT([$enable_eurodates_by_default])
+
+
+#
 # Multibyte support
 #
 MULTIBYTE=
--- /home/byg/postgresql-7.2/src/backend/utils/init/globals.c.orig	Mon Mar  4 16:19:47 2002
+++ /home/byg/postgresql-7.2/src/backend/utils/init/globals.c	Mon Mar  4 16:20:26 2002
@@ -72,7 +72,11 @@
 int			DebugLvl = 0;
 
 int			DateStyle = USE_ISO_DATES;
+#ifdef EURODATES
+bool		EuroDates = true;
+#else
 bool		EuroDates = false;
+#endif
 bool		HasCTZSet = false;
 bool		CDayLight = false;
 int			CTimeZone = 0;
--- /home/byg/postgresql-7.2/src/include/pg_config.h.in.orig	Thu Mar  7 16:09:54 2002
+++ /home/byg/postgresql-7.2/src/include/pg_config.h.in	Thu Mar  7 17:08:11 2002
@@ -39,6 +39,9 @@
 /* Set to 1 if you want cyrillic recode (--enable-recode) */
 #undef CYR_RECODE
 
+/* Set to 1 if you want eurodates by default (--enable-eurodates-by-default) */
+#undef EURODATES
+
 /* Set to 1 if you want to use multibyte characters (--enable-multibyte) */
 #undef MULTIBYTE
 
